Skip to main content
GET
/
v3
/
payout
/
bank
Example request
curl -G 'https://service-sandbox.tazapay.com/v3/payout/bank' \
  --data-urlencode 'country=AU' \
  --data-urlencode 'code_type=swift_code' \
  --data-urlencode 'search_text=BKCHAU2AP' \
  --data-urlencode 'limit=20' \
  --data-urlencode 'offset=10'
{
  "status": "success",
  "message": "",
  "data": {
    "has_more": false,
    "object": "list",
    "results": [
      {
        "address": {
          "city": "SYDNEY",
          "country": "AU",
          "line1": "",
          "line2": "",
          "postal_code": "2000",
          "state": "NSW"
        },
        "bank_codes": {
          "bsb_code": "980202",
          "swift_code": "BKCHAU2APAR"
        },
        "bank_name": "BANK OF CHINA (AUSTRALIA) LIMITED",
        "country_code": "AU",
        "id": "bke_d7ag8hfhambilrokaoog",
        "matched_on": {
          "swift_code": "BKCHAU2APAR"
        },
        "object": "bank"
      },
      {
        "address": {
          "city": "PERTH",
          "country": "AU",
          "line1": "",
          "line2": "",
          "postal_code": "6000",
          "state": "WA"
        },
        "bank_codes": {
          "bsb_code": "980600",
          "swift_code": "BKCHAU2APTH"
        },
        "bank_name": "BANK OF CHINA (AUSTRALIA) LIMITED",
        "country_code": "AU",
        "id": "bke_d7ag8h7hambilrok50bg",
        "matched_on": {
          "swift_code": "BKCHAU2APTH"
        },
        "object": "bank"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

country
string
required

ISO 3166-1 alpha-2 country code

Example:

"IN"

search_text
string
required

Search text (minimum 3 characters)

Minimum string length: 3
Example:

"HDFC"

code_type
enum<string>
required

Type of bank code to search

Available options:
swift_code,
sort_code,
aba_code,
bsb_code,
ifsc_code,
iban,
bank_name
Example:

"ifsc_code"

limit
integer

Maximum number of results (<= 50)

Required range: 1 <= x <= 50
Example:

10

offset
integer

Pagination offset

Required range: x >= 0
Example:

0

Response

Successful response

List banks response wrapper.

status
string
Example:

"success"

message
string
Example:

""

data
object